# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# TODO: Add BR: perl(Template) >= 2.20 unconditionally when available

Name:		perl-Locale-Maketext-Lexicon
Version:	1.00
Release:	35.%{__distinit}%{__distvers}
Summary:	Extract translatable strings from source
License:	MIT
URL:		https://metacpan.org/release/Locale-Maketext-Lexicon
Source0:	https://cpan.metacpan.org/modules/by-module/Locale/Locale-Maketext-Lexicon-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Config)
BuildRequires:	perl(constant)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Encode)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Glob)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(FileHandle)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	perl(I18N::Langinfo)
BuildRequires:	perl(Lingua::EN::Sentence)
BuildRequires:	perl(PPI)
BuildRequires:	perl(strict)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(Template::Constants)
BuildRequires:	perl(Template::Directive)
BuildRequires:	perl(Template::Parser)
BuildRequires:	perl(Text::Haml)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
BuildRequires:	perl(YAML::Loader)
# Test Suite
BuildRequires:	perl(FindBin)
BuildRequires:	perl(lib)
BuildRequires:	perl(Locale::Maketext)
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Tie::Hash)
# Optional Tests
%if 0%{?fedora} && !0%{?perl_bootstrap:1}
BuildRequires:	perl(HTML::Mason)
%endif
BuildRequires:	perl(Template) >= 2.20
BuildRequires:	perl(YAML) >= 0.66
BuildRequires:	/usr/bin/msgunfmt
# Release Tests
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::Pod) >= 1.41
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(Encode)
Requires:	perl(File::Glob)
Requires:	perl(File::Spec)
Requires:	perl(FileHandle)
Requires:	perl(HTML::Parser)
Requires:	perl(I18N::Langinfo)
Requires:	perl(Lingua::EN::Sentence) >= 0.25

# Avoid doc-file provides and dependencies with rpm ≥ 4.9
%global __requires_exclude_from ^%{_datadir}/doc/perl-Locale-Maketext-Lexicon-%{version}/docs/
%global __provides_exclude_from ^%{_datadir}/doc/perl-Locale-Maketext-Lexicon-%{version}/docs/

%description
Locale::Maketext::Lexicon provides lexicon-handling backends for
Locale::Maketext to read from other localization formats, such as PO files,
MO files, or from databases via the "Tie" interface.

%prep
%setup -q -n Locale-Maketext-Lexicon-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test RELEASE_TESTING=1

%files
%license LICENSE
%doc AUTHORS Changes README
%doc docs/
%{_bindir}/xgettext.pl
%{perl_vendorlib}/Locale/
%{_mandir}/man1/xgettext.pl.1*
%{_mandir}/man3/Locale::Maketext::Extract.3*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::Base.3*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::FormFu.3*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::Generic.3*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::Haml.3*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::Mason.3*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::PPI.3*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::Perl.3*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::TT2.3*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::TextTemplate.3*
%{_mandir}/man3/Locale::Maketext::Extract::Plugin::YAML.3*
%{_mandir}/man3/Locale::Maketext::Extract::Run.3*
%{_mandir}/man3/Locale::Maketext::Lexicon.3*
%{_mandir}/man3/Locale::Maketext::Lexicon::Auto.3*
%{_mandir}/man3/Locale::Maketext::Lexicon::Gettext.3*
%{_mandir}/man3/Locale::Maketext::Lexicon::Msgcat.3*
%{_mandir}/man3/Locale::Maketext::Lexicon::Tie.3*

%changelog
* Thu Jul 10 2025 Paul Howarth <paul@city-fan.org> - 1.00-35
- Use %%{make_build} and %%{make_install}

* Mon Jul 17 2023 Paul Howarth <paul@city-fan.org> - 1.00-30
- Drop support for building with rpm < 4.9
- Use Lingua::EN::Sentence unconditionally
- Use %%license unconditionally

* Sun Jun 28 2020 Paul Howarth <paul@city-fan.org> - 1.00-21
- Perl 5.32 rebuild

* Thu Jun  6 2019 Paul Howarth <paul@city-fan.org> - 1.00-18
- Perl 5.30 rebuild

* Sat Jun 30 2018 Paul Howarth <paul@city-fan.org> - 1.00-14
- Perl 5.28 rebuild

* Sat Apr 28 2018 Paul Howarth <paul@city-fan.org> - 1.00-13
- BR: perl-generators unconditionally
- BR: perl-interpreter ratehr than perl

* Wed Jun 14 2017 Paul Howarth <paul@city-fan.org> - 1.00-11
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - Drop F-10 specific hack
  - BR: perl(Template) ≥ 2.20 unconditionally
  - Don't BR: perl(HTML::Mason) when bootstrapping as it pulls in lots of
    other non-local dependencies

* Thu Sep  1 2016 Paul Howarth <paul@city-fan.org> - 1.00-9
- Classify buildreqs by usage
- Simplify find command using -delete
- Prefer %%global over %%define
- Drop EL-4 specific hack

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 1.00-3
- Drop support for building with ExtUtils::MakeMaker < 6.30
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Thu Mar  6 2014 Paul Howarth <paul@city-fan.org> - 1.00-1
- Update to 1.00:
  - Add missing support for c.loc()

* Mon Feb  3 2014 Paul Howarth <paul@city-fan.org> - 0.99-1
- Update to 0.99:
  - Localise $/ correctly

* Thu Jan 23 2014 Paul Howarth <paul@city-fan.org> - 0.98-1
- Update to 0.98:
  - Exclude POT files

* Sun Jan 12 2014 Paul Howarth <paul@city-fan.org> - 0.97-1
- Update to 0.97:
  - Fix some typos

* Tue Jul 23 2013 Paul Howarth <paul@city-fan.org> - 0.96-2
- Perl 5.18 rebuild

* Fri Jun 28 2013 Paul Howarth <paul@city-fan.org> - 0.96-1
- Update to 0.96:
  - Handle Haml blocks too

* Tue May  7 2013 Paul Howarth <paul@city-fan.org> - 0.94-1
- Update to 0.94:
  - Corrected spelling of Text::Haml
  - xgettext.pl was not being installed
- xgettext.pl is back
- Update patch to support building with ExtUtils::MakeMaker < 6.30

* Fri Mar 29 2013 Paul Howarth <paul@city-fan.org> - 0.93-1
- Update to 0.93:
  - Moved to Dist::Zilla
  - Added support for HAML
- This release by DRTECH -> update source URL
- xgettext.pl no longer installed
- Package newly-added upstream LICENSE file
- Drop BR: perl(File::Path), no longer needed as we don't use Module::Install
- BR: perl(Text::Haml) for new Haml plugin
- BR: perl(Test::EOL) for new release test
- Bump perl(Test::Pod) version requirement to 1.41
- Explicitly run the release tests
- Add patch to support building with ExtUtils::MakeMaker < 6.30

* Wed Dec  5 2012 Paul Howarth <paul@city-fan.org> - 0.92-1
- Update to 0.92:
  - Fixed test for Perl 5.17.6+
- This release by AUDREYT -> update source URL

* Wed Jul 11 2012 Paul Howarth <paul@city-fan.org> - 0.91-3
- BR: perl(base), perl(constant), perl(Cwd), perl(Encode), perl(Exporter),
  perl(File::Path), perl(File::Spec), perl(File::Spec::Functions),
  perl(Getopt::Long), perl(lib), perl(Test) and perl(YAML::Loader)
- Add doc-file dependency filter for rpm ≥ 4.9
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Drop patch for building with Perl 5.8.0
  - Only need requires filter for EL-4 or F-10
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Fri Aug 19 2011 Paul Howarth <paul@city-fan.org> - 0.91-1
- Update to 0.91:
  - Fixed test count for newly-added tests
- Drop upstreamed patch for CPAN RT#70372

* Fri Aug 19 2011 Paul Howarth <paul@city-fan.org> - 0.90-1
- Update to 0.90:
  - Added support to the TT2 parser for Mojolicious style tags
  - Documentation changes
- Add patch to fix skip count for TT tests in 5-extract.t when perl(Template)
  isn't available (CPAN RT#70372)
- BR: perl(Template) ≥ 2.20 where possible

* Sat Jul 30 2011 Paul Howarth <paul@city-fan.org> - 0.88-1
- Update to 0.88:
  - Fixed the t/5-extract.t test count

* Wed Jul 20 2011 Paul Howarth <paul@city-fan.org> - 0.87-2
- Rebuild for perl 5.14.1 in Rawhide

* Wed Jul 20 2011 Paul Howarth <paul@city-fan.org> - 0.87-1
- Update to 0.87:
  - Locale::Maketext::Extract - now warns on loading bad plugins if warnings
    enabled
  - Locale::Maketext::Extract::Plugin::Base - Corrected the synopsis
  - Locale::Maketext::Extract::Plugin::Mason - added support for Mason 2
- Fix dist tag for CentOS 6 and Scientific Linux
- Nobody else likes macros for commands

* Thu Feb 17 2011 Paul Howarth <paul@city-fan.org> - 0.86-1
- Update to 0.86:
  - Bumped version because the META file was showing an old version number

* Tue Feb 15 2011 Paul Howarth <paul@city-fan.org> - 0.85-1
- Update to 0.85:
  - Changed Locale::Maketext::Extract::Run to ignore:
    - .git/
    - unix pipes
    - binary files
- Dependency filtering significantly simplified

* Tue Jan  4 2011 Paul Howarth <paul@city-fan.org> - 0.84-1
- Update to 0.84:
  - Changed the minimum version of Locale::Maketext to 1.17, to avoid error
    reports from recent Perl versions, which still have an old Locale::Maketext
  - Avoid uninit warnings when msgids contain trailing spaces in
    Locale::Maketext::Extract

* Fri Dec 10 2010 Paul Howarth <paul@city-fan.org> - 0.83-1
- Update to 0.83:
  - Remove the local $@ when loading PO files, which made it difficult to
    debug errors when loading PO's (CPAN RT#63722)

* Wed Dec  8 2010 Paul Howarth <paul@city-fan.org> - 0.82-3
- Import from Fedora

* Wed Jun 23 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.82-2
- Rebuild for perl-5.12.1

* Thu May 06 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.82-1
- Upstream update

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.79-2
- Mass rebuild with perl-5.12.0

* Wed Mar 03 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.79-1
- Upstream update

* Tue Mar 02 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.78-1
- Upstream update

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.77-5
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.77-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.77-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.77-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 02 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.77-1
- Upstream update

* Sat Dec 20 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.76-1
- Upstream update

* Sat Nov 29 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.75-1
- Upstream update
- Reflect upstream maintainer having changed
- BR: perl(Template), BR: perl(Test::Pod)

* Fri Oct 10 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.71-1
- Upstream update
- Spec cleanup
- Add spec hacks to work around rpm bugs

* Thu Aug 28 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.68-2
- Filter out bogus requires

* Tue Aug 26 2008 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.68-1
- Upstream update
- Reflect new Source0-URL

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.66-2
- Rebuild for perl 5.10 (again)

* Thu Feb 14 2008 Ralf Corsépius <rc040203@freenet.de> - 0.66-1
- Upstream update

* Tue Feb  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.65-2
- Rebuild for new perl

* Fri Dec 28 2007 Ralf Corsépius <rc040203@freenet.de> - 0.65-1
- Upstream update

* Tue Sep 04 2007 Ralf Corsépius <rc040203@freenet.de> - 0.64-2
- Update license tag
- BR: perl(ExtUtils::MakeMaker)

* Mon Jun 11 2007 Ralf Corsépius <rc040203@freenet.de> - 0.64-1
- Upgrade to 0.64
- Reflect source-url having changed

* Fri Feb 16 2007 Ralf Corsépius <rc040203@freenet.de> - 0.62-1
- Upgrade to 0.62
- Reflect licence change from Artistic/GPL to MIT
- BR: /usr/bin/msgunfmt

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 0.60-2
- Mass rebuild

* Sat Apr 22 2006 Ralf Corsépius <rc040203@freenet.de> - 0.60-1
- Upstream update

* Sun Mar 19 2006 Ralf Corsépius <rc040203@freenet.de> - 0.54-1
- Upstream update

* Wed Mar 01 2006 Ralf Corsépius <rc040203@freenet.de> - 0.53-2
- Rebuild for perl-5.8.8

* Mon Dec 05 2005 Ralf Corsepius <rc040203@freenet.de> - 0.53-1
- Upstream update
